# Poco::Data

# class BLOBOutputStream

Library: Data
Package: DataCore
Header: Poco/Data/BLOBStream.h

## Description

An output stream for writing to a BLOB.

## Inheritance

Direct Base Classes: BLOBIOS, std::ostream

All Base Classes: BLOBIOS, std::ios, std::ostream

## Member Summary

Inherited Functions: rdbuf

## Constructors

### BLOBOutputStream

BLOBOutputStream(
BLOB & blob
);

Creates the BLOBOutputStream with the given BLOB.

## Destructor

### ~BLOBOutputStream

~BLOBOutputStream();

Destroys the BLOBOutputStream.